#include "../Framework2/OpenGL/OpenGLApp.h"
#include "../Framework2/Util/OpenGLModel.h"
#include "../Framework2/Util/CollisionSet.h"

#include "../Framework2/Util/TexturePacker.h"

struct Vertex {
	vec3 pos;
	vec2 texCoord;
	vec2 texCoord2;
};

class MainApp : public OpenGLApp {
public:
	void processMovement(const vec3 &newPosition);
	void resetCamera();

	void selectPixelFormat(PixelFormat &pf);
	void initMenu();
	bool init();
	bool exit();

	bool load();
	bool unload();

	void drawScene();

	bool drawFrame();
protected:
	CollisionSet coll;

	ShaderID lighting;
	OpenGLModel *model;

	int sampleMode;

	TextureID base[3], lightMap;
};
